
Audacious - Bug #632

recent git compile error

April 05, 2016 03:25 - reandro paul

Status: Closed Start date: April 05, 2016

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/search tool Estimated time: 0.00 hour

Target version: 3.8   

Affects version: 3.8   

Description

tried to build recent audaciuos audacious-plugins on fedora 23(x86-64).

audacious build ok, but plugins compile error occurred.

[reandr@kuh3h3 audacious-plugins] $ gcc v

Using built-in specs.

COLLECT_GCC=/bin/gcc

COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/5.3.1/lto-wrapper

Target: x86_64-redhat-linux

Configured with: ../configure --enable-bootstrap --enable-languages=c,c++,objc,obj-c++,fortran,ada,go,lto --prefix=/usr

--mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared

--enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable__cxa_atexit

--disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-plugin

--enable-initfini-array --disable-libgcj --with-isl --enable-libmpx --enable-gnu-indirect-function --with-tune=generic --with-arch_32=i686

--build=x86_64-redhat-linux

Thread model: posix

gcc version 5.3.1 20151207 (Red Hat 5.3.1-2) (GCC)

=================================================

Entering directory search-tool.

search-tool.cc: In function ‘void do_search()’:

search-tool.cc:301:44: error: invalid conversion from ‘int ()(const Item const&, const Item* const&, void*)’ to ‘Index<const

Item*>::CompareFunc {aka int ()(const Item const*, const Item* const*, void*)}’ [-fpermissive]

items.sort (item_compare_pass1, nullptr);

^

In file included from /usr/include/libaudcore/audstrings.h:28:0,

from search-tool.cc:24:

/usr/include/libaudcore/index.h:186:10: note:   initializing argument 1 of ‘void Index<T>::sort(Index<T>::CompareFunc, void*) [with T

= const Item*; Index<T>::CompareFunc = int ()(const Item const*, const Item* const*, void*)]’

void sort (CompareFunc compare, void * userdata)

^

search-tool.cc:311:38: error: invalid conversion from ‘int ()(const Item const&, const Item* const&, void*)’ to ‘Index<const

Item*>::CompareFunc {aka int ()(const Item const*, const Item* const*, void*)}’ [-fpermissive]

items.sort (item_compare, nullptr);

^

In file included from /usr/include/libaudcore/audstrings.h:28:0,

from search-tool.cc:24:

/usr/include/libaudcore/index.h:186:10: note:   initializing argument 1 of ‘void Index<T>::sort(Index<T>::CompareFunc, void*) [with T

= const Item*; Index<T>::CompareFunc = int ()(const Item const*, const Item* const*, void*)]’

void sort (CompareFunc compare, void * userdata)

^

Failed to compile search-tool.cc (plugin)!

../../buildsys.mk:413: recipe for target 'search-tool.plugin.o' failed

make

5

: * [search-tool.plugin.o] Error 1

../../buildsys.mk:116: recipe for target 'all' failed

make

4

:  [all] Error 2

../buildsys.mk:123: recipe for target 'search-tool' failed

make

3

:  [search-tool] Error 2

../buildsys.mk:116: recipe for target 'all' failed

make

2

:  [all] Error 2
buildsys.mk:123: recipe for target 'src' failed

make

1

:  [src] Error 2

buildsys.mk:116: recipe for target 'all' failed

make: * [all] Error 2

History

#1 - April 06, 2016 04:03 - John Lindgren

This is my fault.  I will fix it tomorrow.

#2 - April 06, 2016 08:07 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.8

- % Done changed from 0 to 100

Powered by TCPDF (www.tcpdf.org)

April 19, 2024 2/2

http://www.tcpdf.org

